Package org.zkoss.zk.ui.http

## Class DHtmlLayoutFilter

- java.lang.Object
- - org.zkoss.zk.ui.http.DHtmlLayoutFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`

      public class DHtmlLayoutFilter
      extends java.lang.Object
      implements javax.servlet.Filter

  Used to post-process the response into a ZK page. It is useful if you have a servlet using servlets, JSP or other technology.

  How to use:

  - Decorates the servlet to embed the ZK components and attributes, such as zk:onClick="...".
  - Maps the servlet to the filter in web.xml
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DHtmlLayoutFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `void` | `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig config)` |
    `protected void` | `process​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String content)` | Processes the content

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHtmlLayoutFilter

          public DHtmlLayoutFilter()

  - ### Method Detail

    - #### process

          protected void process​(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 java.lang.String content)
                          throws javax.servlet.ServletException,
                                 java.io.IOException

      Processes the content
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`
      Since:
        3.0.0

    - #### doFilter

          public void doFilter​(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws java.io.IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### init

          public final void init​(javax.servlet.FilterConfig config)
                          throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`